Skip to content
GAMPEONCreate
New project

Hide or restore a community

POST
/v1/moderation/communities/{id}/decision
curl --request POST \
--url https://api.gampeon.com/v1/moderation/communities/1/decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "action": "hide", "statementOfReasons": "example", "legalGround": "example" }'

For communities that break the terms as a whole. Managers of the studio or project get the statement of reasons.

Requires the role moderator or admin.

Not available with access tokens.

id
required
integer
>= 1

Community ID

Media typeapplication/json
object
action
required
string
Allowed values: hide restore
statementOfReasons
required

Statement of reasons, shown to the people affected (Art. 17 DSA)

string
>= 20 characters <= 5000 characters
legalGround
string
<= 500 characters

Decided

Media typeapplication/json
object
decisionId
required
string
action
required
string

Example generated

{
"decisionId": "example",
"action": "example"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: forbidden, token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback